RC_FIND_PIDS(3)

NAME
rc_find_pids - finds the pids of processes that match the given criteria

LIBRARY
Run Command library (librc, -lrc)

SYNOPSIS
#include <rc.h>
RC_PIDLIST * rc_find_pids(
const char *const *argv, const char *cmd, uid_t uid, pid_t pid);

DESCRIPTION
rc_find_pids() returns RC_PIDLIST, a structure based on the LIST macro from queue(3) which contains all the pids found matching the given criteria. If pid is given then only that pid is returned if it is running. Otherise we check all instances of argv with a process name of cmd owned by uid, all of which are optional.

The returned list should be freed when done.

IMPLEMENTATION NOTES
On BSD systems we use libkvm and on Linux systems we use the /proc filesystem to find our processes.

Each RC_PID should be freed in the list as well as the list itself when done.

SEE ALSO
free(3), queue(3)

AUTHORS
Roy Marples <roy@marples.name>